Skip to navigation

Groups Get Info

View as Markdown

Retrieves information about one or more groups. Note that the optional field GroupFullInfo.members is not returned for system-managed groups.

Permission : Team Information.

Required scope: groups.read

Endpoint format: RPC

Authentication: Team

Authentication

AuthorizationBearer

Team-level OAuth 2.0 token issued to a Dropbox Business admin. Use Authorization: Bearer <token>.

Obtain via the authorization code flow with team-scoped permissions.

Grants access to team-wide administrative operations.

You can generate a short-lived access token from the App Console; see Testing with a generated token.

Request

This endpoint expects a nullable object.
Variant:
team_apiv2.GroupsSelector.group_idsobjectRequired
List of group IDs.

Response headers

X-Dropbox-Request-IdstringOptional
A unique identifier for the request, useful for debugging and support.

Response

Successful response
Variant:
team_apiv2.GroupsGetInfoItem.id_not_foundobject

An ID that was provided as a parameter to groups/get_info, and did not match a corresponding group. The ID can be a group ID, or an external ID, depending on how the method was called.

Errors

401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error